Bug 142580 - FILEOPEN XLSX Conditional text format colors not considered by color filter
Summary: FILEOPEN XLSX Conditional text format colors not considered by color filter
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: implementationError
Depends on:
Blocks: AutoFilter AutoFilter-Color
  Show dependency treegraph
 
Reported: 2021-05-31 10:43 UTC by NISZ LibreOffice Team
Modified: 2021-09-24 16:45 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel with text color conditional formatting (11.08 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-05-31 10:43 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document in Excel (48.33 KB, image/png)
2021-05-31 10:45 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document in Calc (3.92 MB, image/jpeg)
2021-05-31 10:45 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-05-31 10:43:42 UTC
Created attachment 172489 [details]
Example file from Excel with text color conditional formatting

Attached example file from Excel demonstrates a difference in behaviors: when cells are formatted by text color and conditional format both, Excel offers the conditional format text colors for filtering by color while Calc does not.

Steps to reproduce:
    1. Open attached file
    2. Dropdown the B1 autofilter, select Text color

Actual results:
Text color option offers orange color only.

Expected results:
Text color should also offer the blue and green text colors defined by conditional format along the orange.
Also this should happen with new Calc files in the editor.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 187136265d26c014e842550c2f1fc5997736e4fa
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-05-31 10:45:14 UTC
Created attachment 172490 [details]
Screenshot of the original document in Excel
Comment 2 NISZ LibreOffice Team 2021-05-31 10:45:40 UTC
Created attachment 172491 [details]
Screenshot of the original document in Calc
Comment 3 Xisco Faulí 2021-05-31 14:13:21 UTC
Reproduced in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: f49e5902a3737c02fabf5bec23243ccb126426c4
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 4 Michael Weghorn 2021-06-11 07:22:40 UTC
looks mostly the same as bug 142579, except that one is about text, the other about background color
Comment 5 Commit Notification 2021-09-06 07:41:07 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0f5edf0899962bc696cd1c40646c8d4b5add2208

tdf#142580 Consider cond. format text colors in color filter

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-09-21 13:32:04 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e2e1da3cc89942443832ea018ced68eb41e3d75a

tdf#142580, tdf#143103: sc: Add UItest

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-09-24 12:22:18 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/52596dedfe629a008e198d023ffcae45a8a791ee

tdf#142580 Consider cond. format text colors in color filter

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2021-09-24 16:45:29 UTC
Verified in

Version: 7.2.3.0.0+ / LibreOffice Community
Build ID: 2391d8073624004e0cd657ab07ff947f6a9ef0c7
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Samuel, thanks for fixing this issue!!